Skip to main content

Update a Google Cloud storage account

PUT /accounts/gcp/{cloudProviderAccountId}

Updates an existing Google Cloud storage account.

Caution This operation is deprecated.

Parameters

Name Type In Required Description

cloudProviderAccountId

string

path

True

Request Body

Name Type Required Description

accountName

string

False

providerKeys

GcpKeysForCloudStorageWithValidation

True

Example request
{
  "accountName": "string",
  "providerKeys": {
    "accessKey": "string",
    "secretKey": "string"
  }
}

Error

Status: Default, Default response
Name Type Required Description

accessKey

string

False

accountName

string

False

accountType

string

False

occmRole

string

False

publicId

string

True

vsaList

array[AccountWorkingEnvironmentResponse]

True

Example error response
{
  "accessKey": "string",
  "accountName": "string",
  "accountType": "string",
  "occmRole": "string",
  "publicId": "string",
  "vsaList": [
    {
      "name": "string",
      "publicId": "string",
      "workingEnvironmentType": "string"
    }
  ]
}

Definitions

See Definitions

GcpKeysForCloudStorageWithValidation

Name Type Required Description

accessKey

string

False

secretKey

string

False

AccountWorkingEnvironmentResponse

Name Type Required Description

name

string

False

publicId

string

False

workingEnvironmentType

string

False